---
updatedAt: 2026-02-27T06:36:03.000Z
agentTools:
  projectIndex: https://developers.smsedge.io/llms.txt
---

# Index

Get list of unsubscribed numbers

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "smsedge-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.smsedge.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/numbers/unsubscribers/": {
      "get": {
        "summary": "Index",
        "description": "Get list of unsubscribed numbers",
        "operationId": "numbers-unsubscribers",
        "parameters": [
          {
            "name": "api_key",
            "in": "query",
            "description": "Your API Key for Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "number",
            "in": "query",
            "description": "Phone number for requested info",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": [\n    {\n      \"number\": 123456789012,\n      \"unsubscribed\": \"2018-04-10 14:33:27\"\n    },\n    {\n      \"number\": 123456789013,\n      \"unsubscribed\": \"2018-04-10 15:51:08\"\n    },\n    {\n      \"number\": 123456789014,\n      \"unsubscribed\": \"2018-04-15 10:36:39\"\n    }\n  ],\n  \"errors\": [],\n  \"response\": {\n    \"code\": 200,\n    \"description\": \"OK\",\n    \"date\": \"2018-04-15 11:37:24\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"numbers\",\n    \"function\": \"unsubscribers\"\n  },\n  \"user\": {\n    \"id\": 278\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "number": {
                            "type": "integer",
                            "example": 123456789012,
                            "default": 0
                          },
                          "unsubscribed": {
                            "type": "string",
                            "example": "2018-04-10 14:33:27"
                          }
                        }
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "OK"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-04-15 11:37:24"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "numbers"
                        },
                        "function": {
                          "type": "string",
                          "example": "unsubscribers"
                        }
                      }
                    },
                    "user": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 278,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"data\": [],\n  \"errors\": [\n    \"Valid API key not specified\"\n  ],\n  \"response\": {\n    \"code\": 401,\n    \"description\": \"Authentication Failure\",\n    \"date\": \"2018-04-15 11:35:33\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"numbers\",\n    \"function\": \"unsubscribers\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Valid API key not specified"
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 401,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "Authentication Failure"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-04-15 11:35:33"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "numbers"
                        },
                        "function": {
                          "type": "string",
                          "example": "unsubscribers"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"data\": [],\n  \"errors\": [\n    \"Unsubscribers were not found\"\n  ],\n  \"response\": {\n    \"code\": 404,\n    \"description\": \"Resource Not Found\",\n    \"date\": \"2018-04-15 11:35:05\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"numbers\",\n    \"function\": \"unsubscribers\"\n  },\n  \"user\": {\n    \"id\": 64\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Unsubscribers were not found"
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 404,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "Resource Not Found"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-04-15 11:35:05"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "numbers"
                        },
                        "function": {
                          "type": "string",
                          "example": "unsubscribers"
                        }
                      }
                    },
                    "user": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 64,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```